LINUX.ORG.RU

Google Earth 6 для Debian Jessie

 , ,


0

1

После апгрейда на Jessie проапдейтил GE до семёрочки: фризы, падения, не показывает фотки. Ковырялся, но не вылечил.
А GE 6 не ставится из-за зависимостей.

Посмотрел, какие библиотеки ему действительно нужны, и переписал control:

Package: google-earth-stable
Version: 6.0.3.2197-r0-jessie1
Architecture: i386
Maintainer: Google Earth Team <google-earth-support@google.com>
Installed-Size: 96936
Pre-Depends: dpkg (>= 1.14.0)
Depends: libc6, libz1, libx11-6, libxrender1, libgl1, libstdc++6, libgcc1, libglib2.0-0, libaudio2, libpng12-0, libglib2.0-0, libsm6, libice6, libgl1-mesa-glx, libgstreamer-plugins-base1.0-0, libsqlite3-0, libqt4-xmlpatterns, libqt4-opengl, libpcre3, libxt6, libxau6, libffi6, libuuid1, libxdmcp6, liborc-0.4-0, libglib2.0-0
Section: net
Priority: optional
Description: Explore, search and discover the planet
 Google Earth lets you fly anywhere to see satellite imagery, 3D buildings, 3D trees, terrain, Street View, planets and much more.
 This is a package with modified dependencies for Debian Jessie+

Распаковывать/запаковывать так:

mkdir google
dpkg-deb -R google-earth-stable_6.0.3.2197-r0_i386.deb google
dpkg-deb -b google google-earth-stable_6.0.3.2197-r0-jessie1_i386.deb

Или забрать готовый пакет отсюда http://omicroneridani.com/public/google-earth-stable_6.0.3.2197-r0-jessie1_i3...

Не падает, фотки показывает.

★★★★★

В арче насчет фоток помогает замена libQtWebKit.so.4 в GE-7.1.4.1529-1 на libQtWebKit.so.4 из GE-6.2.2.6613-2

altworld ()

А что, пользоваться googleearth-package из реп теперь уже не модно?

alegz ★★ ()
Ответ на: комментарий от altworld

Да и чёрт с ним. Я там ничего такого принципиально нового не увидел, а падал он направо и налево.

GE-6.2.2.6613-2

А где его взять? Я вытащил 6.0.3.2197-r0 из пакета семёрки, он там в нагрузку прилагается.

aidaho ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.